Updating MineMeld from 0.9.50 to the latest stable version

Reply
Highlighted
L4 Transporter

Updating MineMeld from 0.9.50 to the latest stable version

 

Hi guys,

 

I don't know if someone else have experienced that but I'm having some problems to update my standalone MM machine. I use CentOS 7.0 and started to use MM in 0.9.44 version. Following the procedures in 

 

https://live.paloaltonetworks.com/t5/MineMeld-Discussions/Stable-MineMeld-version-and-new-Office-365...

 

 

I was able to update to versions 0.9.46, 0.9.48, 0.9.50.

 

Today I tried to do the same thing, upload MM to version 0.9.52. But unsuccessfully. The figure 1 shows the result for the command "ansible-playbook -K -i 127.0.0.1, local.yml".

The figure 2 shows the screen when trying to access the MM Web GUI.

Anybody with the same issue? Any idea why the procedure didn't work this time?

 

Best Regards

 

L4 Transporter

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi Guys

 

Just adding some information in this discussion. I checked the status of Minemeld using

 

sudo -u minemeld /opt/minemeld/engine/current/bin/supervisorctl -c /opt/minemeld/supervisor/config/supervisord.conf status

 

and got that the engine is not "running", it is "starting" (attached image).

 

Best Regards.

L4 Transporter

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi guys,

 

could be, that for any reason, the version 0.9.52 doesn't not load/recognize extensions installed in previous versions? I mean, looking at my "engine.log" I get over and over the same message:

 

 

2019-01-09T13:23:49 (1370)launcher.main INFO: Starting mm-run.py version 0.9.52.post1
2019-01-09T13:23:49 (1370)launcher.main INFO: mm-run.py arguments: Namespace(config='/opt/minemeld/local/config', multiprocessing=0, nodes_per_chassis=15.0, verbose=False)
2019-01-09T13:24:05 (1370)config._load_and_validate_config_from_file ERROR: Invalid config /opt/minemeld/local/config/committed-config.yml: Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_ZeniteInformac
ao, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_OrcaFascio, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Noticias_Agricolas, Unknown node class youtubeminer.Pla
ylistMiner in Minerador_Youtube-Minera_Playlist_KnaufBr, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Desigualdade_UFRJ, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Play
list_IBGE, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Pergamum, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_MP_Streaming
2019-01-09T13:24:22 (1370)config._load_and_validate_config_from_file ERROR: Invalid config /opt/minemeld/local/config/running-config.yml: Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_ZeniteInformacao
, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_OrcaFascio, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Noticias_Agricolas, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_KnaufBr, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Desigualdade_UFRJ, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_IBGE, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_Pergamum, Unknown node class youtubeminer.PlaylistMiner in Minerador_Youtube-Minera_Playlist_MP_Streaming
At least one of running-config.yml or committed-config.yml should exist in /opt/minemeld/local/config

As I have some "youtubeminers" in my configuration, the 0.9.52 engine, apparently, doesn't know how to deal with them. See the attache image. 

L7 Applicator

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi @danilo.souza,

please reactivate the youtube Miner extensions in System > Extensions and restart the engine.

L4 Transporter

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi @lmori

 

thank you for the reply. Look at the "Captura_nginx_.png" image in my first post. I can't access the MM Web Interface. Is there other way to do that?

Best Regards

L7 Applicator

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi @danilo.souza,

sorry, I missed your first screenshot. Please do this:

- update the Ansible playbook via git

- do the update again

 

I have fixed the error in the playbook you ran into.

 

Luigi

L4 Transporter

Re: Updating MineMeld from 0.9.50 to the latest stable version

Hi @lmori

 

the correct procedure to update ansible playbook via git is this?

 

$ git clone https://github.com/PaloAltoNetworks/minemeld-ansible.git
$ cd minemeld-ansible
$ ansible-playbook -K -i 127.0.0.1, local.yml

Best regards

L7 Applicator

Re: Updating MineMeld from 0.9.50 to the latest stable version

With that procedure you are downloading the playbook again, if you already have a copy of it you can do:

$ cd minemeld-ansible
$ git pull
$ sudo systemctl stop minemeld.service
$ sudo rm -rf /opt/minemeld/engine/ /opt/minemeld/prototypes/ /opt/minemeld/www/
$ ansible-playbook -K -i 127.0.0.1, local.yml
$ shutdown -r now
Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!